--- cdbs-0.4.100/1/class/langcore.mk.in.orig	2011-12-13 17:30:45.000000000 +0100
+++ cdbs-0.4.100/1/class/langcore.mk.in	2011-12-13 17:31:46.000000000 +0100
@@ -24,10 +24,12 @@
 
 # Resolve our defaults
 ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
-deb_cflags := $(shell dpkg-buildflags --get CFLAGS)
-deb_cppflags := $(shell dpkg-buildflags --get CPPFLAGS)
-deb_cxxflags := $(shell dpkg-buildflags --get CXXFLAGS)
-deb_ldflags := $(shell dpkg-buildflags --get LDFLAGS)
+# We need to pass (at least) DEB_BUILD_MAINT_OPTIONS to dpkg-buildflags so
+# package maintainers can enable/disable hardening flags.
+deb_cflags := $(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --get CFLAGS)
+deb_cppflags := $(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --get CPPFLAGS)
+deb_cxxflags := $(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --get CXXFLAGS)
+deb_ldflags := $(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --get LDFLAGS)
 else
 # TODO: Use above unconditionally when oldstable has dpkg >= 1.15.7
 deb_cflags = -g
